import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { environment } from '../../../../environments/environment.dev';
@Component({
  selector: 'app-candidate-header',
  templateUrl: './candidate-header.component.html',
  styleUrls: ['./candidate-header.component.scss']
})
export class CandidateHeaderComponent implements OnInit {
  @Input() getAvatarName;
  @Input() showBackArrow;
  @Input() dashboardDetails;
  @Output() backToDashbord = new EventEmitter();
  @Output() initFeedbackModal = new EventEmitter();
  img_path: string;
  intFbModal:boolean = false;
  
  constructor() {
    this.img_path = environment.imageUrl+'/assets/img/candidate/dashboard/';
  }

  ngOnInit() {
  }
  getback() {
    this.backToDashbord.emit();
  }

  // feedModal(){
  //   this.initFeedbackModal.emit(true);
  // }
  feedModal(status){
    this.intFbModal = status
    this.initFeedbackModal.emit(this.intFbModal);
  }
}
